Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/11/?format=api
{ "ob_id": 11, "uuid": "7e23b82ec3bdc8e5297c0b623697c559", "title": "TOVS data onboard POES (1978-1998)", "abstract": "These data consist of sets of 3-dimensional gridpoint analyses of the stratosphere which are produced by the Met Office using data from the TIROS Operational Vertical Sounder (TOVS) instruments onboard the NOAA (National Ocean and Atmospheric Administration) operational polar orbiters. TOVS consists of 3 instruments, the Stratospheric Sounding Unit (SSU) the Microwave Sounding Unit (MSU) and the High Resolution Infrared Sounder (HIRS). Daily radiance and geopotential height data are available on a 5 degree latitude / longitude global grid from December 1978 to April 1997. Software is provided to derive potential vorticity. Access permission required so that PI can monitor usage of data.", "keywords": "ATMOSPHERICTEMPERATURE ATMOSPHERE ALTITUDE", "publicationState": "published", "dataPublishedTime": "2007-01-10T16:29:17", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12/?format=api", "dataPath": "/badc/ukmo-tovs/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2952392436, "numberOfFiles": 3050, "fileFormat": "The monthly data files are held at the BADC in the original VMS binary data format in which the data are encoded into 2-byte integer arrays, in records which contain a single day's data. The simplicity of the data format allows the data to be read on a wide variety of computer platforms with only very minor changes to the access routines.\r\n\r\nSee documentation links for further information on these formats." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6868/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25382/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25388/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25843/?format=api" ], "dataLineage": "VMS files originally supplied to the BADC by the Met Office. Later data were supplied in the PP format.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10948/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10949/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10950/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10951/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/23/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/27/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/22/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72368/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/33146/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2630/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "tovs", "label": "restricted: tovs group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }